var pers = []
var table,form,layer;
layui.use(['form','layer','table'], function () {
    table = layui.table;
    form = layui.form;
    layer = layui.layer;

    // 触发submit提交 按钮点击或者表单被执行提交时触发
    form.on('submit(query)', function (data) {
        console.log("搜索")
         // 对表格进行重载。id 即 table表格的id
        table.reload('table', {
            // //设定异步数据接口的额外参数
            page:{curr : 1}
            ,where: data.field
        })
        return false; // 阻止表单跳转。如果需要表单跳转，去掉这段即可。
    });
    form.on('submit(reset)', function () {
        console.log("重置")
        $('#search1').val('');
        $('#search2').val('');
        let obj = {
            search1:'',
            search2:''
        }
         // 对表格进行重载。id 即 table表格的id
        table.reload('table', {
            // //设定异步数据接口的额外参数
            page:{curr : 1}
            ,where: obj
        })
        return false; // 阻止表单跳转。如果需要表单跳转，去掉这段即可。
    });
 
    table.on('tool(table)', function (obj) {
        switch (obj.event) {
            case 'edit': 
                console.log('详情',obj) 
                updateView()
                break;
            case 'del': 
                console.log('删除',obj) 
                delView()
                break;
            case 'detail': 
                console.log('详情',obj) 
                checkView()

                break;
        }
    });
    init();
});

  // 静态数据
  var tableData = [
    {id: 1, sName: '昆明运检一站', lName: '±500kV永富直流线', uName: '张雄',month:'2024-03',alls:'16基',first:'6基',second:'7基',other:'2基',unStation:'3基',days:'2'},
    {id: 2, sName: '昆明运检一站', lName: '±500kV永富直流线', uName: '张雄',month:'2024-03',alls:'16基',first:'6基',second:'7基',other:'2基',unStation:'3基',days:'2'},
    {id: 2, sName: '昆明运检一站', lName: '±500kV永富直流线', uName: '张雄',month:'2024-03',alls:'16基',first:'6基',second:'7基',other:'2基',unStation:'3基',days:'2'},
    {id: 2, sName: '昆明运检一站', lName: '±500kV永富直流线', uName: '张雄',month:'2024-03',alls:'16基',first:'6基',second:'7基',other:'2基',unStation:'3基',days:'2'},
    {id: 2, sName: '昆明运检一站', lName: '±500kV永富直流线', uName: '张雄',month:'2024-03',alls:'16基',first:'6基',second:'7基',other:'2基',unStation:'3基',days:'2'},
    {id: 2, sName: '昆明运检一站', lName: '±500kV永富直流线', uName: '张雄',month:'2024-03',alls:'16基',first:'6基',second:'7基',other:'2基',unStation:'3基',days:'2'},
    {id: 2, sName: '昆明运检一站', lName: '±500kV永富直流线', uName: '张雄',month:'2024-03',alls:'16基',first:'6基',second:'7基',other:'2基',unStation:'3基',days:'2'},
    {id: 2, sName: '昆明运检一站', lName: '±500kV永富直流线', uName: '张雄',month:'2024-03',alls:'16基',first:'6基',second:'7基',other:'2基',unStation:'3基',days:'2'},
    {id: 2, sName: '昆明运检一站', lName: '±500kV永富直流线', uName: '张雄',month:'2024-03',alls:'16基',first:'6基',second:'7基',other:'2基',unStation:'3基',days:'2'},
    {id: 2, sName: '昆明运检一站', lName: '±500kV永富直流线', uName: '张雄',month:'2024-03',alls:'16基',first:'6基',second:'7基',other:'2基',unStation:'3基',days:'2'},
    {id: 2, sName: '昆明运检一站', lName: '±500kV永富直流线', uName: '张雄',month:'2024-03',alls:'16基',first:'6基',second:'7基',other:'2基',unStation:'3基',days:'2'}
  ];

    
/**
 * 初始化数据
 */
function init(){
      // 渲染表格
  table.render({
    elem: '#table',
    // url: "/sys/achievement",
    page: true,
    skin: 'line', // 表格样式
    cols: [[
        {
            type: 'checkbox'
        },
        {
            title: '序号',
            field: 'zizeng',
            align: 'center',
            type: 'numbers'
        },
        {field:'sName', title: '分公司',align: 'center',},
        {field:'sName', title: '运检站',align: 'center',},
        {field:'lName', title: '线路工程名称',align: 'center',},
        {field:'uName', title: '电压等级',align: 'center',},
        {field:'month', title: '单/双回路',align: 'center',},
        {field:'alls', title: '杆塔数量',align: 'center',},
        {field:'first', title: '群众护线员数量',align: 'center',width:170},
        {field:'second', title: '已绑定护线员杆塔数量',align: 'center',width:170},
        {field:'other', title: '未绑定护线员杆塔数量',align: 'center', },
        {
            title: '操作',
            toolbar: '#opeator-bar',
            align: 'center',
            width: 200
        }
    ]],
    data: tableData
  });
     
}

/**
 * 新增页面
 * */
function add() {
    var height = '90%';
    var width = '55%';
    var index = layer.open({
        title: ['新增', 'color:#3B70A1;background-color:#E8ECEB;font-size:20px'],
        type: 2,
        content: 'projectAdd.html',
        area: [width, height],
        maxmin: false,
        success: function (layero, index) {
            // //打开页面成功时执行
            var myIframe = window[layero.find('iframe')[0]['name']];
            //getTaskSource()为子页面的方法
            // myIframe.getTaskSource("taskSourceId","");

        },
        yes: function (index, layero) {
            // //提交子页面时执行
            // // 获取弹出层中的form表单元素
            // var formSubmit = layer.getChildFrame('form', index);
            // var submited = formSubmit.find('button')[0];
            // // 触发点击事件，会对表单进行验证，验证成功则提交表单，失败则返回错误信息
            // // var myIframe = window[layero.find('iframe')[0]['name']];
            // // myIframe.selectCheck(); //aaa()为子页面的方法
            // submited.click();
            // example.ajax.reload(); // 刷新页面
        }
    });
}

/**
 * 详情
 * */
function checkView(id) {
    let height = '98%';
    let width = '95%';
    // $.ajax({
    //     type: 'post',
    //     contentType: "application/x-www-form-urlencoded",
    //     url: oiPlanUrl + '/monthlyPlanSubmission/getDataById',
    //     dataType: 'json',
    //     data: {
    //         id: id
    //     },
    //     success: function (data) {
            var index = layer.open({
                title: ['详情'],
                type: 2,
                content: 'projectDetail.html',
                area: [width, height],
                maxmin: false,
                success: function (layero, index) {
                    // console.log(data);
                    var myIframe = window[layero.find('iframe')[0]['name']];
                    // myIframe.hideSubmit();
                    // var fnc = myIframe.setData(data.data); //aaa()为子页面的方法

                },
            });
        // }
    // })
}

 
/**
 * 修改
 * */
function updateView(id) { 
        var height = '90%';
        var width = '55%';
        // $.ajax({
        //     type: 'post',
        //     contentType: "application/x-www-form-urlencoded",
        //     url: oiPlanUrl + '/monthlyPlanSubmission/getDataById',
        //     dataType: 'json',
        //     data: {
        //         id: id
        //     },
        //     success: function (data) {
                var index = layer.open({
                    title: ['修改', 'color:#3B70A1;background-color:#E8ECEB;font-size:20px'],
                    type: 2,
                    content: 'projectAdd.html',
                    area: [width, height],
                    maxmin: false,
                    success: function (layero, index) {
                        //打开页面成功时执行
                        var myIframe = window[layero.find('iframe')[0]['name']];
                        // myIframe.setData(data.data); //aaa()为子页面的方法
                    },
                    yes: function (index, layero) {
                        // //提交子页面时执行
                        // // 获取弹出层中的form表单元素
                        // var formSubmit = layer.getChildFrame('form', index);
                        // var submited = formSubmit.find('button')[0];
                        // // 触发点击事件，会对表单进行验证，验证成功则提交表单，失败则返回错误信息
                        // submited.click();
                    }
                });
            // }
        // })
 
}

/**
 * 删除按钮
 * */
function buttonDelete(id, permission, pers) {
    if (permission != "") {
        if ($.inArray(permission, pers) < 0) {
            return "";
        }
    }
    var btn = $("<button class='layui-btn layui-btn-xs' title='删除' onclick='delView(\"" + id +"\")'><i class='layui-icon'>&#xe640;</i></button>");
    return btn.prop("outerHTML");
}

/**
 * 删除
 * */
function delView(id) {
        let index = layer.confirm("是否确定删除数据？", function () {
            $.ajax({
                type: 'post',
                url: oiPlanUrl + '/monthlyPlanSubmission/del',
                dataType: 'json',
                data: {
                    id: id
                },
                success: function (data) {
                    layer.close(index);
                    if (data.code == 200) {
                        top.layer.alert('删除成功', {icon: 1});
                        // example.ajax.reload(); // 刷新页面
                    } else {
                        layer.msg("删除失败", {icon: 2}, function () {
                            // example.ajax.reload(); // 刷新页面
                        });
                    }
                }
            })
        })
}

function importData(){
    var height = '80%';
    var width = '50%';
    var index = layer.open({
        title: [`导入`, 'color:#3B70A1;background-color:#E8ECEB;font-size:20px'],
        type: 2,
        // content: 'child/orgInformation.html',
        content: 'projectImport.html',
        area: [width, height],
        maxmin: false,
        success: function (layero, index) {
            /*var myIframe = parent.window[layero.find('iframe')[0]['name']];
            var json = {'proIds': proId}
            myIframe.setParams(json)*/
        },
        yes: function (index, layero) {
        },
        end: function () {
        }
    });
}

function importDataThread(formData, idx) {
    $.ajax({
        url: oiPlanUrl + "/basePerson/importData",
        type: 'POST',
        async: false,
        data: formData,
        timeout: 20000,
        // 告诉jQuery不要去处理发送的数据
        processData: false,
        // 告诉jQuery不要去设置Content-Type请求头
        contentType: false,
        success: function (data) {
            layer.close(idx);
            if (data.code == 200) {
                layer.alert(data.data, {icon: 1});
                // example.ajax.reload(); // 刷新页面
            } else{
                layer.alert(data.msg, {icon: 2});
            }

        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            console.log(JSON.stringify(errorThrown));
            layer.close(idx);
        }
    });
    $("#basePersonFile").val("");
}

//导出
function exportData() {
    // let search1 = $('#search1').val();
    // let search2 = $('#search2').val();
    window.location.href = oiPlanUrl + "/monthlyPlanSubmission/export?token=" + token;
         

}